# TODO: separate gltpd to -server package, add init script (requires portmap)
#
# Conditional build:
%bcond_without	tcl	# disable gui and nviz
%bcond_without	odbc	# disable unixODBC support
#
Summary:	Open Geographic Datastore Interface
Summary(pl.UTF-8):	OGDI - otwarty interfejs do danych geograficznych
Name:		ogdi
Version:	4.0.0
Release:	1
License:	BSD-like
Group:		Applications/Databases
#Source0Download: https://github.com/libogdi/ogdi/releases/
Source0:	https://github.com/libogdi/ogdi/archive/ogdi_4_0_0/%{name}-%{version}.tar.gz
# Source0-md5:	d1d91f71b4748313d3f60c8f301e03da
Source1:	http://ogdi.sourceforge.net/ogdi.pdf
# Source1-md5:	029a8cdcd36bee73df92196ee769040e
Patch1:		%{name}-format.patch
URL:		http://ogdi.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	expat-devel
BuildRequires:	rpmbuild(macros) >= 1.446
%{?with_tcl:BuildRequires:	tcl-devel}
%{?with_odbc:BuildRequires:	unixODBC-devel}
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OGDI is the Open Geographic Datastore Interface. OGDI is an
application programming interface (API) that uses a standardized
access methods to work in conjunction with GIS software packages (the
application) and various geospatial data products. OGDI uses a
client/server architecture to facilitate the dissemination of
geospatial data products over any TCP/IP network, and a
driver-oriented approach to facilitate access to several geospatial
data products/formats.

%description -l pl.UTF-8
OGDI (Open Geographic Datastore Interface) oznacza otwarty interfejs
do danych geograficznych. OGDI to API używające ustandaryzowanych
metod dostępu do pracy z pakietami oprogramowania GIS i różnymi danymi
geograficznymi. OGDI używa architektury klient-serwer aby udostępniać
dane po dowolnej sieci TCP/IP oraz podejścia bazującego na
sterownikach aby zapewnić dostęp do różnych produktów/formatów danych
geograficznych.

%package devel
Summary:	OGDI header files and documentation
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja OGDI
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
OGDI header files and developer's documentation.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja programisty do OGDI.

%package odbc
Summary:	ODBC driver for OGDI
Summary(pl.UTF-8):	Sterownik ODBC do OGDI
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description odbc
ODBC driver for OGDI.

%description odbc -l pl.UTF-8
Sterownik ODBC do OGDI.

%package -n tcl-ogdi
Summary:	Tcl wrapper for OGDI
Summary(pl.UTF-8):	Interfejs Tcl do OGDI
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description -n tcl-ogdi
Tcl wrapper for OGDI.

%description -n tcl-ogdi -l pl.UTF-8
Interfejs Tcl do OGDI.

%prep
%setup -q -n ogdi-ogdi_4_0_0
%patch1 -p1

cp -f %{SOURCE1} .

%build
TOPDIR=`pwd`; TARGET=Linux; export TOPDIR TARGET
%configure \
	--with-expat \
	--with-zlib

# bash because of pushd/popd used in makefiles
%{__make} -j 1 \
	SHELL=/bin/bash \
	INST_LIB=%{_libdir} \
	OPTIMIZATION="%{rpmcflags}"

%if %{with tcl}
%{__make} -j 1 -C ogdi/tcl_interface \
	OPTIMIZATION="%{rpmcflags}" \
	TCL_LINKLIB="-ltcl"
%endif
%{__make} -j 1 -C contrib/gdal \
	OPTIMIZATION="%{rpmcflags}"
%if %{with odbc}
%{__make} -j 1 -C ogdi/attr_driver/odbc \
	OPTIMIZATION="%{rpmcflags} -DDONT_TD_VOID" \
	ODBC_LINKLIB="-lodbc"
%endif

%install
rm -rf $RPM_BUILD_ROOT

TOPDIR=`pwd`; TARGET=Linux; export TOPDIR TARGET

%{__make} -j 1 install \
	SHELL=/bin/bash \
	INST_INCLUDE=$RPM_BUILD_ROOT%{_includedir} \
	INST_LIB=$RPM_BUILD_ROOT%{_libdir} \
	INST_BIN=$RPM_BUILD_ROOT%{_bindir}

# omitted from make install
install -d $RPM_BUILD_ROOT%{_pkgconfigdir}
cp -p ogdi.pc $RPM_BUILD_ROOT%{_pkgconfigdir}
install ogdi-config $RPM_BUILD_ROOT%{_bindir}

%if %{with tcl}
%{__make} -j 1 install -C ogdi/tcl_interface \
	INST_LIB=$RPM_BUILD_ROOT%{_libdir}
%endif
%{__make} -j 1 install -C contrib/gdal \
	INST_LIB=$RPM_BUILD_ROOT%{_libdir}
%if %{with odbc}
%{__make} -j 1 install -C ogdi/attr_driver/odbc \
	INST_LIB=$RPM_BUILD_ROOT%{_libdir}
%endif

%{__rm} $RPM_BUILD_ROOT%{_bindir}/example?

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE NEWS
%attr(755,root,root) %{_bindir}/gltpd
%attr(755,root,root) %{_bindir}/ogdi_*
%attr(755,root,root) %{_libdir}/libogdi.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libogdi.so.4
%dir %{_libdir}/ogdi
%attr(755,root,root) %{_libdir}/ogdi/libadrg.so
%attr(755,root,root) %{_libdir}/ogdi/libdted.so
%attr(755,root,root) %{_libdir}/ogdi/libgdal.so
%attr(755,root,root) %{_libdir}/ogdi/libremote.so
%attr(755,root,root) %{_libdir}/ogdi/librpf.so
%attr(755,root,root) %{_libdir}/ogdi/libskeleton.so
%attr(755,root,root) %{_libdir}/ogdi/libvrf.so

%files devel
%defattr(644,root,root,755)
%doc ogdi.pdf
%attr(755,root,root) %{_bindir}/ogdi-config
%attr(755,root,root) %{_libdir}/libogdi.so
%{_includedir}/ecs.h
%{_includedir}/ecs_util.h
%{_pkgconfigdir}/ogdi.pc

%if %{with odbc}
%files odbc
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/ogdi/liblodbc.so
%endif

%if %{with tcl}
%files -n tcl-ogdi
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/ogdi/libecs_tcl.so
%endif
%changelog
* Tue Aug 13 2019 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/ogdi.git;a=log;h=master

* Thu Apr 04 2019 Jakub Bogusz <qboosh@pld-linux.org> 3073eb4
- PROJ functionality has been removed in 4.0.0

* Tue Apr 02 2019 Jan Rękorajski <baggins@pld-linux.org> 69a5915
- up to 4.0.0

* Fri Dec 28 2018 Jakub Bogusz <qboosh@pld-linux.org> 0844771
- package ogdi.pc and ogdi-config; release 2

* Wed Dec 26 2018 Jakub Bogusz <qboosh@pld-linux.org> 6532bb1
- updated to 3.2.1
- removed outdated proj480 patch

* Thu May 10 2018 Jan Rękorajski <baggins@pld-linux.org> 4e820dd
- release 11 (by relup.sh)

* Mon Jul 13 2015 Jan Rękorajski <baggins@pld-linux.org> 75da20b
- release 10 (by relup.sh)

* Fri Mar 06 2015 Jan Rękorajski <baggins@pld-linux.org> fab9ab4
- release 9 (by relup.sh)

* Sun Jun 01 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 0894715
- tcl rebuild
- release 8 (by relup.sh)

* Sun Nov 11 2012 Jan Rękorajski <baggins@pld-linux.org> 48df16d
- rebuild with expat 2.1.0
- release 7 (by relup.sh)

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> f8e5ee9
- rebuild to fix broken filedigests
- release 6 (by relup.sh)

* Sat Sep 29 2012 Jakub Bogusz <qboosh@pld-linux.org> 025e952
- added format patch to workaround overzealous -Werror=format-security in gcc 4.7.x

* Sat Sep 29 2012 Jakub Bogusz <qboosh@pld-linux.org> 0848213
- added proj480 patch (based on RH bugzilla) to adapt to proj_api.h as found in proj 4.8.0
- list modules explicitly to avoid duplication
- release 5

* Sat Jan 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 3775d26
- rel 4; makefile rules not ready for parallel stuff

* Fri Jan 13 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 9f44e75
- release 3

* Fri Jun 15 2007 wrobell <wrobell@pld-linux.org> 8e24fc7
- rel. 2

* Tue Feb 20 2007 Jakub Bogusz <qboosh@pld-linux.org> 2c460ea
- updated to 3.1.6
- updated pic patch, removed obsolete driversdir patch

* Tue Feb 20 2007 Jakub Bogusz <qboosh@pld-linux.org> f0e5fe1
- updated for 3.1.6

* Tue Feb 20 2007 Jakub Bogusz <qboosh@pld-linux.org> 19e8364
- obsolete

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5a2968b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d6c47a2
- converted to UTF-8

